# Generated by Django 2.1.1 on 2018-11-20 19:29

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Fragment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('x', models.IntegerField()),
                ('y', models.IntegerField()),
                ('width', models.IntegerField()),
                ('height', models.IntegerField()),
                ('type', models.CharField(choices=[('AU', 'Audio'), ('IM', 'Image'), ('TX', 'Text'), ('VI', 'Video')], max_length=2)),
                ('content', django.contrib.postgres.fields.jsonb.JSONField()),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Fragment',
                'verbose_name_plural': 'Fragments',
            },
        ),
        migrations.CreateModel(
            name='Room',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
                ('anonymous_access', models.BooleanField()),
                ('active', models.BooleanField(default=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='created_rooms', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Room',
                'verbose_name_plural': 'Rooms',
            },
        ),
        migrations.CreateModel(
            name='RoomOwnerGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('users', models.ManyToManyField(to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Room Owner Group',
                'verbose_name_plural': 'Room Owner Groups',
            },
        ),
        migrations.AddField(
            model_name='room',
            name='owner_group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='rooms.RoomOwnerGroup'),
        ),
        migrations.AddField(
            model_name='room',
            name='users',
            field=models.ManyToManyField(to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='fragment',
            name='room',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='rooms.Room'),
        ),
    ]
